Name:		nml
Summary:	A tool to compile nml files to grf or nfo files
Version:	0.7.5
Release:	%mkrel 1
License:	GPLv2+ and ZPLv2.1
Group:		Graphics/Utilities
Url:		https://github.com/OpenTTD/nml
Source0:	https://github.com/OpenTTD/nml/archive/%{version}/nml-%{version}.tar.gz
BuildRequires:	git-core
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pillow
BuildRequires:	python3-ply
Requires:	python3-ply
Requires:	python3-pillow
Requires:	python3-pkg-resources

%description
A tool to compile nml files to grf and/or nfo files.

NML is a meta-language that aims to be a lot simpler to learn and use than nfo.

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit_am

# remove git repo after applying patches
rm -rf .git

# fix version
sed -i -e 's/version=NML_VERSION/version="%{version}"/g' setup.py

%build
%py3_build

%install
%py3_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

#man pages
install -Dpm644 docs/nmlc.1 %{buildroot}%{_mandir}/man1/nmlc.1

#unpackaged files
rm -rf %{buildroot}%{python_sitelib}/{easy-install.pth,site.py}

%check
%make_build regression

%files
%license LICENSE
%doc README*
%doc examples/
%doc docs/changelog.txt
%{_bindir}/nmlc
%{_mandir}/man1/nmlc.1*
%{python3_sitearch}/%{name}-*-py%{python3_version}.egg-info/
%{python3_sitearch}/%{name}/
%{python3_sitearch}/nml_lz77.cpython-*.so


%changelog
* Wed Aug 28 2024 mrambo3501 <mrambo3501> 0.7.5-1.mga10
+ Revision: 2092103
- version 0.7.5

* Tue Dec 19 2023 papoteur <papoteur> 0.7.3-2.mga10
+ Revision: 2019332
- Mass Rebuild - Python 3.12

* Sat Jun 03 2023 wally <wally> 0.7.3-1.mga9
+ Revision: 1960672
- new version 0.7.3

* Fri Jan 06 2023 wally <wally> 0.7.1-2.mga9
+ Revision: 1930799
- fix python3dist version

* Sat Dec 10 2022 wally <wally> 0.7.1-1.mga9
+ Revision: 1920318
- new version 0.7.1

* Sun Sep 04 2022 wally <wally> 0.7.0-1.mga9
+ Revision: 1883880
- new version 0.7.0 with some patches from upstream

* Wed Apr 06 2022 umeabot <umeabot> 0.6.1-3.mga9
+ Revision: 1845998
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 mrambo3501 <mrambo3501> 0.6.1-2.mga9
+ Revision: 1786748
- rebuild for python-3.10

* Thu Sep 16 2021 wally <wally> 0.6.1-1.mga9
+ Revision: 1745602
- new version 0.6.1

* Fri Aug 20 2021 wally <wally> 0.6.0-1.mga9
+ Revision: 1742047
- new version 0.6.0

* Mon Apr 05 2021 wally <wally> 0.5.3-3.mga9
+ Revision: 1713438
- rebuild for python 3.9

* Sun Jan 24 2021 daviddavid <daviddavid> 0.5.3-2.mga8
+ Revision: 1673200
- rebuild with fixed python-pillow 8.1.0

* Thu Sep 17 2020 wally <wally> 0.5.3-1.mga8
+ Revision: 1627997
- new version 0.5.3

* Wed May 20 2020 wally <wally> 0.5.2-1.mga8
+ Revision: 1586468
- new version 0.5.2

* Fri May 15 2020 wally <wally> 0.5.1-1.mga8
+ Revision: 1584074
- new version 0.5.1

* Tue Apr 28 2020 wally <wally> 0.5.0-1.mga8
+ Revision: 1572935
- new version 0.5.0

* Tue Feb 25 2020 daviddavid <daviddavid> 0.4.5-5.mga8
+ Revision: 1550410
- add upstream patch to fix #52: time.clock() has been removed in python 3.8

* Sun Feb 16 2020 wally <wally> 0.4.5-4.mga8
+ Revision: 1533721
- add upstream patch for compatibility with pillow >= 7.0.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 0.4.5-3.mga8
+ Revision: 1444650
- add upstream patch to fix compatibility with pillow
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 0.4.5-2.mga7
+ Revision: 1352207
- rebuild with python 3.7

* Sat Aug 25 2018 wally <wally> 0.4.5-1.mga7
+ Revision: 1254429
- new version 0.4.5

* Sat Aug 05 2017 pterjan <pterjan> 0.4.4-2.mga7
+ Revision: 1135279
- Rebuild for python 3.6

* Fri Jan 08 2016 wally <wally> 0.4.4-1.mga6
+ Revision: 920644
- new version 0.4.4

* Thu Oct 15 2015 wally <wally> 0.4.2-3.mga6
+ Revision: 891750
- fix build with new python3-pillow

* Thu Oct 08 2015 tv <tv> 0.4.2-2.mga6
+ Revision: 887755
- use right py*version macro
- rebuild for python 3.5

* Thu Sep 24 2015 wally <wally> 0.4.2-1.mga6
+ Revision: 883346
- new version 0.4.2
- use new %%py3_build and %%py3_install macros

* Fri Apr 24 2015 wally <wally> 0.4.1-3.mga5
+ Revision: 820701
- require python3-pkg-resources

* Thu Apr 23 2015 wally <wally> 0.4.1-2.mga5
+ Revision: 820600
- new version 0.4.1
- switch to python3

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-5.mga5
+ Revision: 746333
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-4.mga5
+ Revision: 727478
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-3.mga5
+ Revision: 682899
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Wed May 14 2014 wally <wally> 0.3.1-1.mga5
+ Revision: 622787
- new version 0.3.1

* Tue Apr 01 2014 wally <wally> 0.3.0-1.mga5
+ Revision: 611172
- new version 0.3.0
- drop upstreamed pillow support patch

* Tue Oct 22 2013 umeabot <umeabot> 0.2.4-5.mga4
+ Revision: 542896
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.4-4.mga4
+ Revision: 497962
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 19 2013 wally <wally> 0.2.4-3.mga4
+ Revision: 467594
- add patch to add python-pillow support (from Fedora)
- clean .spec

* Sat Jan 12 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 361037
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Fri Nov 02 2012 wally <wally> 0.2.4-1.mga3
+ Revision: 312650
- fix RPM group
- new version 0.2.4

* Mon Feb 27 2012 zezinho <zezinho> 0.2.3-1.mga2
+ Revision: 215574
- new version

* Sat Dec 31 2011 wally <wally> 0.2.1-1.mga2
+ Revision: 189255
- imported package nml

